# Read one live page of a public table

> Source: https://elaichi.ai/docs/api-reference/dashboards/public/getpublicdashboardtabledata/

`GET /public/dashboard/{token}/widget/{key}/data`

Resource: **Public** · API: **Dashboards**

## Path parameters

- **`token`** _(string, required)_
  The unguessable link token
- **`key`** _(string, required)_
  The table widget key

## Query parameters

- **`tz`** _(string)_
  IANA zone for dates; an invalid one reads as UTC.
- **`cursor`** _(string)_
- **`vc`** _(string)_

## Response body

- **`table_page`** _(object, required)_
  - **`next_cursor`** _(string,null)_
  - **`total_count`** _(integer,null)_
  - **`has_more`** _(boolean)_
- **`table_controls`** _(object)_
  - **`search`** _(boolean)_
  - **`filters`** _(array<object>)_
  - **`sorts`** _(array<object>)_
    - **`field`** _(string)_
    - **`label`** _(string)_
  - **`can_export`** _(boolean)_
  - **`columns`** _(array<object>)_
    Every column the viewer may show or hide with vc.columns.
    - **`key`** _(string)_
    - **`label`** _(string)_
  - **`applied`** _(object,null)_

## Code examples

### curl

```bash
curl -X GET 'https://api.elaichi.ai/public/dashboard/<token>/widget/<key>/data' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.elaichi.ai/public/dashboard/<token>/widget/<key>/data', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import os
import requests

url = "https://api.elaichi.ai/public/dashboard/<token>/widget/<key>/data"
headers = {
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())
```
